summary refs log tree commit diff
path: root/lisc/test/go.sh
diff options
context:
space:
mode:
authorQuentin Carbonneaux <quentin.carbonneaux@yale.edu>2016-03-03 11:55:13 -0500
committerQuentin Carbonneaux <quentin.carbonneaux@yale.edu>2016-03-03 11:55:13 -0500
commit67f611fbef3cf16162867bdf83cb9c8a051dac4a (patch)
treeec8fc677fdd95a4f399955cfc2b82de4d42d1217 /lisc/test/go.sh
parent99965071d2106e60c8929cca7e79be465cc228e1 (diff)
downloadroux-67f611fbef3cf16162867bdf83cb9c8a051dac4a.tar.gz
testbed is now functional
I would like to make sure some _ tests are
passing, however I have to think of a nice
way to grab debug output and compare it
nicely.  Some require NReg == 3, that is a
pain in the ass.  Maybe they can be changed
to work for the full register set.
Diffstat (limited to 'lisc/test/go.sh')
-rwxr-xr-xlisc/test/go.sh13
1 files changed, 5 insertions, 8 deletions
diff --git a/lisc/test/go.sh b/lisc/test/go.sh
index 7082db0..7326ecc 100755
--- a/lisc/test/go.sh
+++ b/lisc/test/go.sh
@@ -1,8 +1,5 @@
 #!/bin/sh
 
-QBE=./lisc
-CC=cc
-
 TMP=/tmp/qbe.zzzz
 
 DRV=$TMP.c
@@ -44,7 +41,7 @@ once() {
 
 	printf "$T... "
 
-	if ! $QBE $T -o $ASM 2> /dev/null
+	if ! ./lisc $T -o $ASM 2> /dev/null
 	then
 		echo "[qbe fail]"
 		return 1
@@ -60,7 +57,7 @@ once() {
 		LNK="$ASM"
 	fi
 
-	if ! $CC -o $BIN $LNK
+	if ! cc -o $BIN $LNK
 	then
 		echo "[cc fail]"
 		return 1
@@ -68,11 +65,11 @@ once() {
 
 	if test -s $OUT
 	then
-		$BIN | diff - $OUT > /dev/null
+		$BIN a b c | diff - $OUT > /dev/null
 		RET=$?
 		REASON="output"
 	else
-		$BIN
+		$BIN a b c
 		RET=$?
 		REASON="return"
 	fi
@@ -92,7 +89,7 @@ once() {
 case $1 in
 	"all")
 		F=0
-		for T in test/*
+		for T in test/[!_]*.ssa
 		do
 			once $T
 			F=`expr $F + $?`